## org.apache.mahout.common.distance
Class EuclideanDistanceMeasure

    java.lang.Object
      org.apache.mahout.common.distance.SquaredEuclideanDistanceMeasure
          org.apache.mahout.common.distance.EuclideanDistanceMeasure

All Implemented Interfaces:
  DistanceMeasure, Parametered

    public class EuclideanDistanceMeasure

extends SquaredEuclideanDistanceMeasure

This class implements a Euclidean distance metric by summing the square root of the squared differences between each coordinate.

If you don't care about the true distance and only need the values for comparison, then the base class, `SquaredEuclideanDistanceMeasure`, will be faster since it doesn't do the actual square root of the squared differences.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mahout.common.parameters.Parametered
`Parametered.ParameteredGeneralizations`

Field Summary

Fields inherited from interface org.apache.mahout.common.parameters.Parametered
`log`

Constructor Summary
`EuclideanDistanceMeasure()`

Method Summary
`double` `distance(double centroidLengthSquare, Vector centroid, Vector v)` Optimized version of distance metric for sparse vectors.
`double` `distance(Vector v1, Vector v2)` Returns the distance metric applied to the arguments

Methods inherited from class org.apache.mahout.common.distance.SquaredEuclideanDistanceMeasure
`configure, createParameters, getParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EuclideanDistanceMeasure

    public EuclideanDistanceMeasure()

Method Detail

### distance

    public double distance(Vector v1,
                           Vector v2)

  Description copied from interface: `DistanceMeasure`
  Returns the distance metric applied to the arguments

  Specified by:
    `distance` in interface `DistanceMeasure`
  Overrides:
    `distance` in class `SquaredEuclideanDistanceMeasure`
  Parameters:
    `v1` - a Vector defining a multidimensional point in some feature space
    `v2` - a Vector defining a multidimensional point in some feature space
  Returns:
    a scalar doubles of the distance

### distance

    public double distance(double centroidLengthSquare,
                           Vector centroid,
                           Vector v)

  Description copied from interface: `DistanceMeasure`
  Optimized version of distance metric for sparse vectors. This distance computation requires operations proportional to the number of non-zero elements in the vector instead of the cardinality of the vector.

  Specified by:
    `distance` in interface `DistanceMeasure`
  Overrides:
    `distance` in class `SquaredEuclideanDistanceMeasure`
  Parameters:
    `centroidLengthSquare` - Square of the length of centroid
    `centroid` - Centroid vector

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.